For Developers
Preview CSV Headers
GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/csv/headers
Reads the header rows from uploaded CSV or OneRoster CSV zip archives to facilitate field mapping.
Permissions
Requires either the sources.create or sources.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:source_id | UUID | Yes | The ID of the source. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/csv/headers`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"users.csv": ["sourcedId", "status", "dateLastModified", "enabledUser", "username", "givenName", "familyName"],
"courses.csv": ["sourcedId", "status", "title", "courseCode", "schoolYearSourcedId"]
}
}
